public inbox for ipfire-scm@lists.ipfire.org
 help / color / mirror / Atom feed
From: git@ipfire.org
To: ipfire-scm@lists.ipfire.org
Subject: [git.ipfire.org] IPFire 2.x development tree branch, next, updated. a305ffea8bf2df76d753a63ca93af019413a3d72
Date: Thu, 10 May 2018 16:42:53 +0100	[thread overview]
Message-ID: <20180510154253.886031081DF2@git01.ipfire.org> (raw)

[-- Attachment #1: Type: text/plain, Size: 2662 bytes --]

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".

The branch, next has been updated
       via  a305ffea8bf2df76d753a63ca93af019413a3d72 (commit)
      from  d8ef6a9537537ed43d7766ced22d3500b965ed1a (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit a305ffea8bf2df76d753a63ca93af019413a3d72
Author: Peter Müller <peter.mueller(a)link38.eu>
Date:   Wed May 9 21:59:41 2018 +0200

    install initscript for NRPE
    
    Install initscript for NRPE addon.
    
    The second version of this patch actually includes the
    initscript, which was missing due to lack of coffee the
    first time. :-)
    
    Thanks to Michael for catching it.
    
    Resent due to crappy linewrapping in initscript by MUA.
    
    Signed-off-by: Peter Müller <peter.mueller(a)link38.eu>
    Signed-off-by: Michael Tremer <michael.tremer(a)ipfire.org>

-----------------------------------------------------------------------

Summary of changes:
 lfs/nagios_nrpe               |  4 ++++
 src/initscripts/packages/nrpe | 38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)
 create mode 100644 src/initscripts/packages/nrpe

Difference in files:
diff --git a/lfs/nagios_nrpe b/lfs/nagios_nrpe
index bebb80144..11ce2ae77 100644
--- a/lfs/nagios_nrpe
+++ b/lfs/nagios_nrpe
@@ -90,5 +90,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	cd $(DIR_APP) && make all $(MAKETUNING)
 	cd $(DIR_APP) && make install
 	cd $(DIR_APP) && make install-config
+
+	# install initscript
+	$(call INSTALL_INITSCRIPT,nrpe)
+
 	@rm -rf $(DIR_APP)
 	@$(POSTBUILD)
diff --git a/src/initscripts/packages/nrpe b/src/initscripts/packages/nrpe
new file mode 100644
index 000000000..8de798c06
--- /dev/null
+++ b/src/initscripts/packages/nrpe
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Begin $rc_base/init.d/nrpe
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+NRPEBIN=/usr/bin/nrpe
+NRPECFG=/etc/nagios/nrpe.cfg
+
+case "$1" in
+	start)
+		boot_mesg "Starting nrpe..."
+		loadproc $NRPEBIN -c $NRPECFG -d
+	;;
+
+	stop)
+		boot_mesg "Stopping nrpe..."
+		killproc $NRPEBIN
+		rm -f /var/run/nrpe.pid
+	;;
+
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+		;;
+
+	status)
+		statusproc $NRPEBIN
+	;;
+
+	*)
+		echo "Usage: $0 {start|stop|restart|status}"
+		exit 1
+	;;
+esac
+
+# End $rc_base/init.d/nrpe


hooks/post-receive
--
IPFire 2.x development tree

                 reply	other threads:[~2018-05-10 15:42 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20180510154253.886031081DF2@git01.ipfire.org \
    --to=git@ipfire.org \
    --cc=ipfire-scm@lists.ipfire.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox